INPUT_MT_REPORT_POIN(9)

NAME
input_mt_report_pointer_emulation - common pointer emulation

SYNOPSIS

void input_mt_report_pointer_emulation(struct input_dev * dev, bool use_count);

ARGUMENTS

dev
    input device with allocated MT slots

use_count
    report number of active contacts as finger count

DESCRIPTION

Performs legacy pointer emulation via BTN_TOUCH, ABS_X, ABS_Y and ABS_PRESSURE. Touchpad finger count is emulated if use_count is true.

The input core ensures only the KEY and ABS axes already setup for this device will produce output.

COPYRIGHT